const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/app.js', 'public/assets/js');

mix.sass('resources/sass/app.scss', 'public/assets/css');

mix.styles([
  'resources/css/app.css',
  'resources/css/wingman-theme.css',
  'resources/css/custom.css',
  'resources/css/entypo.css',
], 'public/assets/css/theme.css');

mix.copy('resources/images', 'public/assets/images');
mix.copy('resources/fonts/entypo', 'public/fonts/entypo');

if (mix.inProduction()) {
  mix.version();
}
